    <app-sidebar></app-sidebar>
	<div class="container">
		<div class="table-responsive">
			<div class="table-wrapper">
				<div class="table-title">
					<div class="row">
						<div class="col-xs-6">
							<h2>Manage  <b>Pitanja-F2</b></h2>
						</div>
						<div class="col-xs-6">
							<a href="#addQuestionModal" class="btn btn-success" data-toggle="modal"><i class="material-icons">&#xE147;</i> <span>Add New Question</span></a>
						</div>
					</div>
				</div>
				<table class="table table-striped table-hover">
					<thead>
						<tr>
							<th>Id</th>
							<th>Tekst</th>
							<th>Odgovor1</th>
							<th>Odgovor2</th>
							<th>Odgovor3</th>
							<th>Tacanodgovor</th>
						</tr>
					</thead>
					<tbody>
						<tr *ngFor= "let question of tablelist ">
							<td>{{ question._id }}</td>
							<td>{{ question.tekst }}</td>
							<td>{{ question.odgovor1 }}</td>
							<td>{{ question.odgovor2 }}</td>
							<td>{{ question.odgovor3}}</td>
							<td>{{ question.tacanodgovor }}</td>
							<td>
								<a href="#editQuestionModal" (click)= "search(question._id)" class="edit" data-toggle="modal"><i class="material-icons" data-toggle="tooltip" title="Edit">&#xE254;</i></a>
								<a href="#deleteQuestionModal" (click)= "search(question._id)" class="delete" data-toggle="modal"><i class="material-icons" data-toggle="tooltip" title="Delete">&#xE872;</i></a>
							</td>
						</tr>
					</tbody>
				</table>
				<div class="clearfix">
					<div class="hint-text">Showing                 <select (change)="onChange($event.target.value)">
						<option *ngFor="let i of possible">{{i}}</option>
					</select> out of <b>{{brpitanja}}</b> entries</div>
					<ul class="pagination" *ngFor= "let n of maxpages ">
						<li [ngClass]="{'page-item': true, 'active': (n+1)==currentpage}"><a (click)="show(n+1)" class="page-link">{{n+1}}</a></li>
					</ul>
				</div>
			</div>
		</div>        
    </div>
<!-- Edit Modal HTML -->
<div id="addQuestionModal" class="modal fade">
	<div class="modal-dialog">
		<div class="modal-content">
			<form (ngSubmit)="addPitanje(pitanje)" #pitanje="ngForm" >
				<div class="modal-header">						
					<h4 class="modal-title">Add Question</h4>
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				</div>
				<div class="modal-body">					
					<div class="form-group">
						<label>Tekst</label>
						<input type="text" class="form-control" required name="tekst" ngModel>
					</div>
					<div class="form-group">
						<label>Odgovor1</label>
						<input type="text" class="form-control" required name="odgovor1" ngModel>
					</div>
					<div class="form-group">
						<label>Odgovor2</label>
						<input type="text" class="form-control" required name="odgovor2" ngModel>
					</div>
					<div class="form-group">
						<label>Odgovor3</label>
						<input type="text" class="form-control" required name="odgovor3" ngModel>
					</div>	
					<div class="form-group">
						<label>Tacanodgovor</label>
						<input type="number" class="form-control" min="1" max="3" value="1" required name="tacanodgovor" ngModel>
					</div>				
				</div>
				<div class="modal-footer">
					<input type="button" class="btn btn-default" data-dismiss="modal" value="Close">
					<input type="submit" class="btn btn-info" value="Add">
				</div>
			</form>
		</div>
	</div>
</div>
	<!-- Edit Modal HTML -->
	<div id="editQuestionModal" class="modal fade">
		<div class="modal-dialog">
			<div class="modal-content">
				<form (ngSubmit)="updatePitanje(xxs)" #xxs="ngForm">
					<div class="modal-header">						
						<h4 class="modal-title">Edit Question</h4>
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					</div>
					<div class="modal-body">					
						<div class="form-group">
							<label>Tekst</label>
							<input type="text" class="form-control" required name="edittekst" value="{{trenutnopitanje.tekst}}" ngModel>
						</div>
						<div class="form-group">
							<label>Odgovor1</label>
							<input type="text" class="form-control" required name="editodgovor1" value="{{trenutnopitanje.odgovor1}}" ngModel>
						</div>
						<div class="form-group">
							<label>Odgovor2</label>
							<input type="text" class="form-control" required name="editodgovor2" value="{{trenutnopitanje.odgovor2}}" ngModel>
						</div>
						<div class="form-group">
							<label>Odgovor3</label>
							<input type="text" class="form-control" required name="editodgovor3" value="{{trenutnopitanje.odgovor3}}" ngModel>
						</div>	
						<div class="form-group">
							<label>Tacanodgovor</label>
							<input type="number" class="form-control" min="1" max="3" name="edittacanodgovor" required value="{{trenutnopitanje.tacanodgovor}}" ngModel>
						</div>				
					</div>
					<div class="modal-footer">
						<input type="button" class="btn btn-default" data-dismiss="modal" value="Close">
						<input type="submit" class="btn btn-info" value="Save">
					</div>
				</form>
			</div>
		</div>
	</div>
	<!-- Delete Modal HTML -->
	<div id="deleteQuestionModal" class="modal fade">
		<div class="modal-dialog">
			<div class="modal-content">
				<form>
					<div class="modal-header">						
						<h4 class="modal-title">Delete Question</h4>
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					</div>
					<div class="modal-body">					
						<p>Are you sure you want to delete these Records?</p>
						<p class="text-warning"><small>This action cannot be undone.</small></p>
					</div>
					<div class="modal-footer">
						<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel">
						<input type="submit" class="btn btn-danger" value="Delete" data-dismiss="modal" (click)= "deletePitanje()">
					</div>
				</form>
			</div>
		</div>
	</div>


<app-fail></app-fail>
<app-success></app-success>